//AABB - [2020-06-22 11:41:46]
#ifndef _FE_LANGUAGE_H_
#define _FE_LANGUAGE_H_

#include "CFTTLangDatabase.h"

/*
001F201C GetFTTLangFromLang(int)
001F2034 GetLangFromFTTLang(int)
001F204C FE_GetLanguageDatabase(ETextDatabase)
001F2060 FE_LoadLanguageText(int ,bool )
001F21E4 FE_UnloadLanguageText()
*/

enum ETextDatabase {
  ETextDatabase_0,
  ETextDatabase_1,
  ETextDatabase_2,
  ETextDatabase_3,
  ETextDatabase_4,
  ETextDatabase_5,
};


//001F2320
int GetFontModeFromFTTLang(int eType);

//001F2338
int GetFontModeFromLang(int);

//001F201C
ELangType GetFTTLangFromLang(int d);

//001F2034
int GetLangFromFTTLang(int d);

//001F204C
CFTTLangDatabase* FE_GetLanguageDatabase(ETextDatabase e);

//001F2060
void FE_LoadLanguageText(int a, bool b);

//001F21E4
void FE_UnloadLanguageText();

//-------------------------------------------------------------------------------------------------
#endif  //_FE_LANGUAGE_H_